<html>
<head>
<title>OgreD3D11Prerequisites.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreD3D11Prerequisites.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMinGWSupport_8h_source.html">WIN32/OgreMinGWSupport.h</a>&quot;</code><br/>
<code>#include &lt;d3d11.h&gt;</code><br/>
<code>#include &lt;d3dx11.h&gt;</code><br/>
<code>#include &lt;d3d11shader.h&gt;</code><br/>
<code>#include &lt;D3Dcompiler.h&gt;</code><br/>
</div>
<p><a href="OgreD3D11Prerequisites_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#ab1fd107573047bd9da140ea653623f32">OGRE_LOCK_RECURSIVE_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a93ac575df386b84b1954cb49c5d5602b">OGRE_UNLOCK_RECURSIVE_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a91eca3b862fb87e1aae6365506aaef7e">D3D11_DEVICE_ACCESS_LOCK</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a7e62356528bac65b4d973f3b6cf5248f">D3D11_DEVICE_ACCESS_UNLOCK</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a756e79282d7620576504b98f89317361">D3D11_DEVICE_ACCESS_CRITICAL_SECTION</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#aa54da3d73d29cce6595914535d88a09a">DIRECT3D_VERSION</a>&#160;&#160;&#160;0x1100</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a9bbcd82e77c41df827c09759def05c9a">SAFE_DELETE</a>(p)&#160;&#160;&#160;{ if(p) { delete (p);     (p)=NULL; } }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a506b3685b3eb05aac751f9e14cbed93b">SAFE_DELETE_ARRAY</a>(p)&#160;&#160;&#160;{ if(p) { delete[] (p);   (p)=NULL; } }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a6038f7bdb274c2e159988a57dedbf93d">SAFE_RELEASE</a>(p)&#160;&#160;&#160;{ if(p) { (p)-&gt;Release(); (p)=NULL; } }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a9f918755b601cf4bffca775992e6fb90">NOMINMAX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#a7b3123eeef6059cf58d74050e93fbf96">OGRE_D3D_MANAGE_BUFFERS</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreD3D11Prerequisites_8h.html#aeec4314638b775952fc5fa9f2d9516d3">_OgreD3D11Export</a>&#160;&#160;&#160;__declspec(dllimport)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="aeec4314638b775952fc5fa9f2d9516d3"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::_OgreD3D11Export" ref="aeec4314638b775952fc5fa9f2d9516d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D11Prerequisites_8h.html#aeec4314638b775952fc5fa9f2d9516d3">_OgreD3D11Export</a>&#160;&#160;&#160;__declspec(dllimport)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00108">108</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a756e79282d7620576504b98f89317361"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::D3D11_DEVICE_ACCESS_CRITICAL_SECTION" ref="a756e79282d7620576504b98f89317361" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D11Prerequisites_8h.html#a756e79282d7620576504b98f89317361">D3D11_DEVICE_ACCESS_CRITICAL_SECTION</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00050">50</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91eca3b862fb87e1aae6365506aaef7e"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::D3D11_DEVICE_ACCESS_LOCK" ref="a91eca3b862fb87e1aae6365506aaef7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D11Prerequisites_8h.html#a91eca3b862fb87e1aae6365506aaef7e">D3D11_DEVICE_ACCESS_LOCK</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00048">48</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7e62356528bac65b4d973f3b6cf5248f"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::D3D11_DEVICE_ACCESS_UNLOCK" ref="a7e62356528bac65b4d973f3b6cf5248f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D11Prerequisites_8h.html#a7e62356528bac65b4d973f3b6cf5248f">D3D11_DEVICE_ACCESS_UNLOCK</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00049">49</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa54da3d73d29cce6595914535d88a09a"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::DIRECT3D_VERSION" ref="aa54da3d73d29cce6595914535d88a09a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#aa54da3d73d29cce6595914535d88a09a">DIRECT3D_VERSION</a>&#160;&#160;&#160;0x1100</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00054">54</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9f918755b601cf4bffca775992e6fb90"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::NOMINMAX" ref="a9f918755b601cf4bffca775992e6fb90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D11Prerequisites_8h.html#a9f918755b601cf4bffca775992e6fb90">NOMINMAX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00063">63</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7b3123eeef6059cf58d74050e93fbf96"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::OGRE_D3D_MANAGE_BUFFERS" ref="a7b3123eeef6059cf58d74050e93fbf96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#a7b3123eeef6059cf58d74050e93fbf96">OGRE_D3D_MANAGE_BUFFERS</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00096">96</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1fd107573047bd9da140ea653623f32"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::OGRE_LOCK_RECURSIVE_MUTEX" ref="ab1fd107573047bd9da140ea653623f32" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#ab1fd107573047bd9da140ea653623f32">OGRE_LOCK_RECURSIVE_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00038">38</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93ac575df386b84b1954cb49c5d5602b"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::OGRE_UNLOCK_RECURSIVE_MUTEX" ref="a93ac575df386b84b1954cb49c5d5602b" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#a93ac575df386b84b1954cb49c5d5602b">OGRE_UNLOCK_RECURSIVE_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00039">39</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9bbcd82e77c41df827c09759def05c9a"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::SAFE_DELETE" ref="a9bbcd82e77c41df827c09759def05c9a" args="(p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#a9bbcd82e77c41df827c09759def05c9a">SAFE_DELETE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">p</td><td>)</td>
          <td>&#160;&#160;&#160;{ if(p) { delete (p);     (p)=NULL; } }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00057">57</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a506b3685b3eb05aac751f9e14cbed93b"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::SAFE_DELETE_ARRAY" ref="a506b3685b3eb05aac751f9e14cbed93b" args="(p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#a506b3685b3eb05aac751f9e14cbed93b">SAFE_DELETE_ARRAY</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">p</td><td>)</td>
          <td>&#160;&#160;&#160;{ if(p) { delete[] (p);   (p)=NULL; } }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00058">58</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6038f7bdb274c2e159988a57dedbf93d"></a><!-- doxytag: member="OgreD3D11Prerequisites.h::SAFE_RELEASE" ref="a6038f7bdb274c2e159988a57dedbf93d" args="(p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreD3D9Prerequisites_8h.html#a6038f7bdb274c2e159988a57dedbf93d">SAFE_RELEASE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">p</td><td>)</td>
          <td>&#160;&#160;&#160;{ if(p) { (p)-&gt;Release(); (p)=NULL; } }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Prerequisites_8h_source.html#l00059">59</a> of file <a class="el" href="OgreD3D11Prerequisites_8h_source.html">OgreD3D11Prerequisites.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
